.form-page {
  padding-top: rem(20);
  padding-bottom: rem(20);

  .form-page-form {
    @include gray-btn;

    max-width: rem(706);
    margin: 0 auto;
    padding: rem(50) rem(50) rem(70);

    border-radius: rem(8);

    @media (max-width: $mobile-width) {
      padding: rem(24) rem(40) rem(32);
    }

    &__title {
      @include h3;
      text-align: center;

      margin-bottom: rem(8);

      &--no-label {
        margin-bottom: rem(40);
      }
    }

    &__label {
      @include p2;
      text-align: center;

      margin-bottom: rem(30);
    }

    &__input-wrapper {
      display: block;
      margin: rem(24) 0;
    }

    &__wrapper {
      display: flex;
      flex-flow: wrap;

      margin: rem(-12);

      @media (max-width: $mobile-width) {
        margin: 0;
      }

      .form-page-form__input-wrapper {
        flex-basis: calc(50% - 1.5rem);
        max-width: calc(50% - 1.55rem);

        margin: rem(12);

        @media (max-width: $mobile-width) {
          flex: 0 0 100%;
          width: 100%;
          max-width: 100%;

          margin: 0;

          &:not(:first-child) {
            margin-top: rem(12);
          }
        }
      }
    }

    &__textarea {
      margin: rem(24) 0;
    }

    &__btn-row {
      margin-top: rem(30);
      display: flex;
      align-items: center;

      @media (max-width: $mobile-width) {
        flex-flow: column;
        align-items: flex-start;
      }
    }

    &__btn {
      margin-right: rem(36);

      @media (max-width: $mobile-width) {
        margin-right: 0;
        width: 100%;
        margin-bottom: rem(32);
      }
    }

    .checkbox {
      align-items: center;
    }

    &__rights {
      max-width: rem(314);
    }

  }

  &__back {
    @include p2;

    display: block;
    margin-bottom: rem(30);

    color: rgba($black, .5);
    text-align: center;

    svg {
      margin-right: rem(12);
    }
  }

  .form-page-success {
    display: flex;
    flex-flow: column;
    align-items: center;

    &__icon {
      @include green-btn;

      display: flex;
      align-items: center;
      justify-content: center;
      width: rem(80);
      height: rem(80);
      margin-bottom: rem(24);

      border-radius: 50%;

      svg {
        width: rem(40);
        height: rem(28);

        path {
          stroke-width: 1px;
        }
      }
    }

    @include gray-btn;

    max-width: rem(368);
    margin: 0 auto;
    padding: rem(50) rem(40) rem(64);

    border-radius: rem(8);

    &__title {
      @include h3;
      text-align: center;

      margin-bottom: rem(16);
    }

    &__label {
      @include p2;
      text-align: center;
    }

  }
}
